<?php
/**
 * @file
 * Admin pages for the XMLsitemap PDFs module.
 */

/**
 * Settings form.
 */
function xmlsitemap_pdf_settings_form($form, &$form_state) {
  $form = array();

  $form['info'] = array(
    '#type' => 'fieldset',
    '#title' => t('Links in sitemap'),
  );

  $count = db_query("SELECT COUNT(id) FROM {xmlsitemap} WHERE type = 'pdf' AND access = 1 AND status = 1")->fetchField();
  $markup  = '<strong>' . t('Number of PDFs:') . '</strong>' . ' ' . $count;

  $count = db_query("SELECT COUNT(id) FROM {xmlsitemap} WHERE type = 'file' AND access = 1 AND status = 1")->fetchField();
  $markup .= '<br><strong>' . t('Number of file pages:') . '</strong>' . ' ' . $count;

  $form['info']['count'] = array(
    '#type' => 'markup',
    '#markup' => $markup,
  );

  $links_default = variable_get('xmlsitemap_pdf_links', array('document'));
  $form['xmlsitemap_pdf_links'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Types of links to include'),
    '#options' => array(
      'document' => t('Links to the documents: <em>Example: https://www.ex.com/sites/default/files/document.pdf</em>'),
      'file' => t('Links to the file entity pages: <em>Example: https://www.ex.com/file/1234</em>'),
    ),
    '#default_value' => $links_default,
  );

  $freq_options = xmlsitemap_get_changefreq_options();
  $changefreq_default = variable_get('xmlsitemap_pdf_changefreq', '2419200');
  $form['xmlsitemap_pdf_changefreq'] = array(
    '#type' => 'select',
    '#title' => t('Change frequency for PDFs'),
    //'#description' => t('When this value changes all PDFs in the sitemap will be updated.'), @todo
    '#options' => $freq_options,
    '#default_value' => $changefreq_default,
  );

  return system_settings_form($form);
}


// @todo add a submit handler that will update the sitemap on change.
